local on = vim.api.nvim_create_autocmd

on("VimEnter", {
	callback = function()
		require("nvim-tree.api").tree.toggle({ focus = false })
	end,
})

on({ "TermOpen", "TermEnter" }, {
	callback = function()
		vim.wo.signcolumn = "no"
	end,
})

on({ "BufNewFile", "BufRead" }, {
	pattern = { "*.txt", "*.md" },
	callback = function()
		vim.lo.wrap = true
	end,
})
