# Environment
$env.EDITOR = 'nvim'
$env.GOPATH = $"($env.HOME)/.go"

# Aliases
alias gb = go build
alias gt = go test
alias gd = git diff
alias gp = git pull
alias gs = git status
alias hex = hexdump -C
alias home = git $"--git-dir=($env.HOME)/.home/" $"--work-tree=($env.HOME)"
alias ll = ls -la
alias n = nvim
alias p = cd ~/projects

# Functions
def np [] {
	p
	n
}
