return {
		"neovim/nvim-lspconfig",
		event = { "BufReadPre", "BufNewFile" },
		opts = {
			servers = {
				lua_ls = {},
				gopls = {},

				-- web dev
				--cssls = {},
				--html = {},
				--jsonls = {},
				--tsserver = {},
				--svelte = {},
			},
		},
		config = function(_, opts)
			local servers = opts.servers

			for server, server_opts in pairs(servers) do
				require("lspconfig")[server].setup(server_opts)
			end
		end,
	}
